gsl_matrix_vector_ops.hh File Reference
`#include <mia/core/gsl_matrix.hh>`
`#include <mia/core/gsl_vector.hh>`
Include dependency graph for gsl_matrix_vector_ops.hh:

Go to the source code of this file.

## Namespaces

namespace | gsl

## Functions

double EXPORT_GSL | gsl::dot (const gsl_vector *lhs, const gsl_vector *rhs)
void EXPORT_GSL | gsl::matrix_orthogonalize (Matrix &M)
void EXPORT_GSL | gsl::multiply_m_m (Matrix &result, const Matrix &lhs, const Matrix &rhs)
void EXPORT_GSL | gsl::multiply_m_mT (Matrix &result, const Matrix &lhs, const Matrix &rhs)
void EXPORT_GSL | gsl::multiply_m_v (Vector &result, const Matrix &rhs, const Vector &lhs)
void EXPORT_GSL | gsl::multiply_mT_m (Matrix &result, const Matrix &lhs, const Matrix &rhs)
void EXPORT_GSL | gsl::multiply_v_m (Vector &result, const Vector &lhs, const Matrix &rhs)